#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	Dumper-Concise
Summary:	Data::Dumper::Concise - Less indentation and newlines plus sub deparsing
#Summary(pl.UTF-8):
Name:		perl-Data-Dumper-Concise
Version:	2.021
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	62eda5696b32d5cd5722842f412b786e
URL:		http://search.cpan.org/dist/Data-Dumper-Concise/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module always exports a single function, Dumper, which can be
called with a single reference value to dump that value or with no
arguments to return the Data::Dumper object it's created.

It exists, fundamentally, as a convenient way to reproduce a set of
Dumper options that we've found ourselves using across large numbers
of applications, primarily for debugging output.

The principle guiding theme is "all the concision you can get while
still having a useful dump and not doing anything cleverer than
setting Data::Dumper options" - it's been pointed out to us that
Data::Dump::Streamer can produce shorter output with less lines of
code. We know. This is simpler and we've never seen it segfault. But
for complex/weird structures, it generally rocks. You should use it as
well, when Concise is underkill. We do.

Why is deparsing on when the aim is concision? Because you often want
to know what subroutine refs you have when debugging and because if
you were planning to eval this back in you probably wanted to remove
subrefs first and add them back in a custom way anyway. Note that this
-does- force using the pure perl Dumper rather than the XS one, but
I've never in my life seen Data::Dumper show up in a profile so "who
cares?".

# %description -l pl.UTF-8 # TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Data/Dumper
%{perl_vendorlib}/Data/Dumper/*.pm
%dir %{perl_vendorlib}/Data/Dumper/Concise
%{perl_vendorlib}/Data/Dumper/Concise/Sugar.pm
%{perl_vendorlib}/Devel/Dwarn.pm

%{_mandir}/man3/*
%changelog
* Sat Jan 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-Dumper-Concise.git;a=log;h=master

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9e9f0ca
- up to 2.021

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> ff773fe
- updated to 1.200

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 9eccf06
- added missing %dir in %files section
- release 2

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 54847d2
- initial

